OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKShapeSchema
ShapeSchema

# ShapeSchema_PGeom_BSplineCurve Class Reference

`#include <ShapeSchema_PGeom_BSplineCurve.hxx>`

## Public Member Functions
| ShapeSchema_PGeom_BSplineCurve ()
Standard_EXPORT Handle_Standard_Persistent | New () const
Standard_EXPORT void | Add (const Handle(Standard_Persistent)&, const Handle(Storage_Schema)&) const
Standard_EXPORT void | Write (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&) const
Standard_EXPORT void | Read (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&) const
| ~ShapeSchema_PGeom_BSplineCurve ()
Standard_EXPORT Standard_Boolean | IsKind (const Handle(Standard_Type)&AType) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT void | SAdd (const Handle(PGeom_BSplineCurve)&, const Handle(Storage_Schema)&)
static Standard_EXPORT void | SWrite (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&)
static Standard_EXPORT void | SRead (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&)

## Constructor & Destructor Documentation

ShapeSchema_PGeom_BSplineCurve::ShapeSchema_PGeom_BSplineCurve | ( |  | ) | `[inline]`

ShapeSchema_PGeom_BSplineCurve::~ShapeSchema_PGeom_BSplineCurve | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void ShapeSchema_PGeom_BSplineCurve::Add | ( | const Handle(Standard_Persistent)& | ,
|  | const Handle(Storage_Schema)& |
| ) | const

Standard_EXPORT const ShapeSchema_PGeom_BSplineCurve::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean ShapeSchema_PGeom_BSplineCurve::IsKind | ( | const Handle(Standard_Type)& | AType | ) | const

Standard_EXPORT Handle_Standard_Persistent ShapeSchema_PGeom_BSplineCurve::New | ( |  | ) | const

Standard_EXPORT void ShapeSchema_PGeom_BSplineCurve::Read | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | const

static Standard_EXPORT void ShapeSchema_PGeom_BSplineCurve::SAdd | ( | const Handle(PGeom_BSplineCurve)& | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PGeom_BSplineCurve::SRead | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PGeom_BSplineCurve::SWrite | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

Standard_EXPORT void ShapeSchema_PGeom_BSplineCurve::Write | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | const

The documentation for this class was generated from the following file:

- ShapeSchema_PGeom_BSplineCurve.hxx